using System;
using Vintagestory.API.Client;

namespace AltMapIconRenderer {
	public class AltMapIconRendererConfig {
		public bool square_waypoints = false;
		public string player_colour = "#FFFFFF";
		public bool thin_outlines = false;
	}

	public class AltMapIconRendererConfigManager {
		public const string filename = "altmapiconrenderer.json";

		protected ICoreClientAPI capi;
		protected AltMapIconRendererConfig config;

		public AltMapIconRendererConfigManager(ICoreClientAPI capi) {
			this.capi = capi;

			// Load or create config file.
			try {
				this.config = this.capi.LoadModConfig<AltMapIconRendererConfig>(AltMapIconRendererConfigManager.filename);
			} catch(Exception) {}
			if(this.config != null) {
				// Save config file in case of missing fields.
				this.capi.StoreModConfig<AltMapIconRendererConfig>(this.config, AltMapIconRendererConfigManager.filename);
			} else {
				// Create new config file.
				this.config = new AltMapIconRendererConfig();
				this.capi.StoreModConfig<AltMapIconRendererConfig>(this.config, AltMapIconRendererConfigManager.filename);
			}
		}

		public AltMapIconRendererConfig Get() {
			return this.config;
		}

		public void Save() {
			this.capi.StoreModConfig<AltMapIconRendererConfig>(this.config, AltMapIconRendererConfigManager.filename);
		}
	}
}